Download it now!
Bug 122425 - FILEOPEN: DOC: Floating frame is displayed with borders
Summary: FILEOPEN: DOC: Floating frame is displayed with borders
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: DOC-Frames
  Show dependency treegraph
 
Reported: 2019-01-02 15:25 UTC by Xisco Faulí
Modified: 2019-01-07 10:01 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
comparison MSO 2010 and LibreOffice 6.3 Master (81.04 KB, image/png)
2019-01-02 15:25 UTC, Xisco Faulí
Details
Comparison with attachment 48565 (115.84 KB, image/png)
2019-01-02 15:31 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-01-02 15:25:40 UTC
Created attachment 147942 [details]
comparison MSO 2010 and LibreOffice 6.3 Master

Steps to reproduce:
1. Open attachment 95258 [details] from bug 75856
2. Check the floating frames in the header

-> its borders are displayed. they shouldn't. See the screenshot

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: 49c61f660d05ab13140d4349a0b3f6efba742022
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2019-01-02 15:27:04 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=d398e9248c183cf988b6d985b342b0cbff93ea02

author	Mike Kaganski <mike.kaganski@collabora.com>	2018-12-12 00:31:13 +0300
committer	Mike Kaganski <mike.kaganski@collabora.com>	2018-12-12 05:51:53 +0100
commit	d398e9248c183cf988b6d985b342b0cbff93ea02 (patch)
tree	6750cb396ae1baabf22184ee26ddd58c888a29ff
parent	3c964980da07892a02d5ac721d80558c459532d0 (diff)
tdf#121734: ww8 import: use direct formatting for floating object frames

Bisected with: bibisect-linux64-6.3 

Adding Cc: to Mike Kaganski
Comment 2 Xisco Faulí 2019-01-02 15:31:47 UTC
Created attachment 147943 [details]
Comparison with attachment 48565 [details]

attachment 48565 [details] from bug 38779 is also affected where the froating frame 'Minutes' is shifted to the right
Comment 3 Mike Kaganski 2019-01-06 16:44:29 UTC
https://gerrit.libreoffice.org/65906

A note to myself: to debug similar regressions of the same commit (expected to happen), put a breakpoint to SwDoc::MakeFlySection.
Comment 4 Commit Notification 2019-01-06 17:50:57 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/2e189c2464de007b3d59ba37d4f3f1cfbe5b480c%5E%21

tdf#122425: explicitly remove borders for newly created flys

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2019-01-07 10:01:45 UTC
Issue verified in

Version: 6.3.0.0.alpha0+
Build ID: 892a5cfe557edb405ec0037676f02a1c24dd76ec
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Mike Kaganski, Thanks for fixing this!!